Index: src/timemanager.f90
===================================================================
--- src/timemanager.f90	(revision e200b7adb07d4dfa7bf42f7cb43e0c85b4dbf894)
+++ src/timemanager.f90	(revision f13406cf18bf27ac76cdb58b9abebb11329d6757)
@@ -128,5 +128,13 @@
   !**********************************************************************
 
-  !write (*,*) 'starting simulation'
+
+  if (verbosity.gt.0) then
+    write (*,*) 'timemanager> starting simulation'
+    if (verbosity.gt.1) then
+      CALL SYSTEM_CLOCK(count_clock)
+      WRITE(*,*) 'timemanager> SYSTEM CLOCK',(count_clock - count_clock0)/real(count_rate)
+    endif     
+  endif
+
   do itime=0,ideltas,lsynctime
 
@@ -142,6 +150,10 @@
   !********************************************************************
 
-    if (WETDEP .and. itime .ne. 0 .and. numpart .gt. 0) &
+    if (WETDEP .and. itime .ne. 0 .and. numpart .gt. 0) then
+        if (verbosity.gt.0) then
+           write (*,*) 'timemanager> call wetdepo'
+        endif     
          call wetdepo(itime,lsynctime,loutnext)
+    endif
 
     if (OHREA .and. itime .ne. 0 .and. numpart .gt. 0) &
@@ -156,23 +168,56 @@
   !*************************************
 
-      if ((ldirect.eq.-1).and.(lconvection.eq.1).and.(itime.lt.0)) &
-           call convmix(itime)
+   if ((ldirect.eq.-1).and.(lconvection.eq.1).and.(itime.lt.0)) then
+        if (verbosity.gt.0) then
+           write (*,*) 'timemanager> call convmix -- backward'
+        endif         
+      call convmix(itime)
+        if (verbosity.gt.1) then
+          !CALL SYSTEM_CLOCK(count_clock, count_rate, count_max)
+          CALL SYSTEM_CLOCK(count_clock)
+          WRITE(*,*) 'timemanager> SYSTEM CLOCK',(count_clock - count_clock0)/real(count_rate)
+        endif 
+   endif
 
   ! Get necessary wind fields if not available
   !*******************************************
-
+    if (verbosity.gt.0) then
+           write (*,*) 'timemanager> call getfields'
+    endif 
     call getfields(itime,nstop1)
+        if (verbosity.gt.1) then
+          CALL SYSTEM_CLOCK(count_clock)
+          WRITE(*,*) 'timemanager> SYSTEM CLOCK',(count_clock - count_clock0)/real(count_rate)
+        endif 
     if (nstop1.gt.1) stop 'NO METEO FIELDS AVAILABLE'
+
   ! Release particles
   !******************
 
+    if (verbosity.gt.0) then
+           write (*,*) 'timemanager>  Release particles'
+    endif 
+
     if (mdomainfill.ge.1) then
       if (itime.eq.0) then
+        if (verbosity.gt.0) then
+          write (*,*) 'timemanager>  call init_domainfill'
+        endif       
         call init_domainfill
       else
+        if (verbosity.gt.0) then
+          write (*,*) 'timemanager>  call boundcond_domainfill'
+        endif   
         call boundcond_domainfill(itime,loutend)
       endif
     else
+      if (verbosity.gt.0) then
+        print*,'call releaseparticles'  
+      endif
       call releaseparticles(itime)
+      if (verbosity.gt.1) then
+        CALL SYSTEM_CLOCK(count_clock)
+        WRITE(*,*) 'timemanager> SYSTEM CLOCK',(count_clock - count_clock0)/real(count_rate)
+      endif 
     endif
 
@@ -182,7 +227,10 @@
   !**************************************************************
 
-      if ((ldirect.eq.1).and.(lconvection.eq.1)) &
-           call convmix(itime)
-
+   if ((ldirect.eq.1).and.(lconvection.eq.1)) then
+     if (verbosity.gt.0) then
+       write (*,*) 'timemanager> call convmix -- forward'
+     endif    
+     call convmix(itime)
+   endif
 
   ! If middle of averaging period of output fields is reached, accumulated
@@ -299,7 +347,24 @@
       if ((itime.eq.loutend).and.(outnum.gt.0.)) then
         if ((iout.le.3.).or.(iout.eq.5)) then
+          if (surf_only.ne.1) then 
           call concoutput(itime,outnum,gridtotalunc, &
                wetgridtotalunc,drygridtotalunc)
-          if (nested_output.eq.1) call concoutput_nest(itime,outnum)
+          else  
+  if (verbosity.eq.1) then
+     print*,'call concoutput_surf '
+     CALL SYSTEM_CLOCK(count_clock)
+     WRITE(*,*) 'SYSTEM_CLOCK',count_clock - count_clock0   
+  endif
+          call concoutput_surf(itime,outnum,gridtotalunc, &
+               wetgridtotalunc,drygridtotalunc)
+  if (verbosity.eq.1) then
+     print*,'called concoutput_surf '
+     CALL SYSTEM_CLOCK(count_clock)
+     WRITE(*,*) 'SYSTEM_CLOCK',count_clock - count_clock0   
+  endif
+          endif
+
+          if ((nested_output.eq.1).and.(surf_only.ne.1)) call concoutput_nest(itime,outnum)
+          if ((nested_output.eq.1).and.(surf_only.eq.1)) call concoutput_surf_nest(itime,outnum)
           outnum=0.
         endif
